.map-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 30px;
}
.unstyled-button {
  border: none;
  padding: 0;
  background: none;
}
.gg-play-button-o {
  box-sizing: border-box;
  position: relative;
  display: block;
  transform: scale(var(--ggs, 1));
  width: 22px;
  height: 22px;
  border: 2px solid;
  border-radius: 20px;
}
.gg-play-button-o::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute;
  width: 0;
  height: 10px;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 6px solid;
  top: 4px;
  left: 7px;
}
.gg-play-pause-o {
  box-sizing: border-box;
  position: relative;
  display: block;
  transform: scale(var(--ggs, 1));
  width: 22px;
  height: 22px;
  border: 2px solid;
  border-radius: 22px;
}
.gg-play-pause-o::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute;
  width: 6px;
  height: 6px;
  left: 6px;
  top: 6px;
  border-left: 2px solid;
  border-right: 2px solid;
}
.gg-undo {
  box-sizing: border-box;
  position: relative;
  display: block;
  transform: scale(var(--ggs, 1));
  width: 14px;
  height: 14px;
  border: 2px solid;
  border-left-color: transparent;
  border-radius: 100px;
}
.gg-undo::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute;
  width: 6px;
  height: 6px;
  border-top: 2px solid;
  border-left: 2px solid;
  top: -3px;
  left: -1px;
  transform: rotate(-68deg);
}
.iconsHistory {
  background-color: aliceblue;
  margin: 10px 10px 10px;
  padding: 3px 6px 4px;
}
.iconHistory {
  margin: 4px 6px 2px;
}
.map-border {
  border: 1px solid orange;
  margin: -26px 28px 1px;
  height: auto;
  width: 100%;
}

#map {
  height: 98vh;
}

::ng-deep .main-panel .map-screen {
  width: calc(100% - 55px);
  margin-left: 55px;
}

::ng-deep .main-panel.w-100 .map-screen {
  width: 100%;
  margin-left: 0;
}

::ng-deep .main-panel .detail-vehicule-container {
  z-index: 9999999;
  position: absolute;
  width: 400px;
  right: 40px;
  top: 10px;
}

::ng-deep .main-panel.w-100 .detail-vehicule-container {
  width: 100%;
  right: 0;
  top: 0;
}

::ng-deep .leaflet-routing-alternatives-container {
  display: none;
}

.myDivIcon {
  text-align: center;
  line-height: 20px;
}
.historique-Gbtn-map {
  z-index: 9999999;
  display: flex;
  align-items: center;
  position: absolute;
  border-radius: 50%;
  width: auto;
  height: auto;
  left: 110px;
  top: 61px;
  border: none;
  border-radius: 2px;
}

.target {
  font-size: 1.5em;
}

.full-screen {
  vertical-align: middle;
  box-sizing: border-box;
  display: inline-block;
  border: 0.1em solid currentColor;
  width: 1em;
  height: 1em;
  position: relative;
}

.contenu-card {
  background-color: rgba(255, 255, 255, 0.904);
  width: 100%;
  height: 100%;
  border-radius: 5px;
  margin-top: 0px;
  display: grid;
  .text-card {
    text-indent: 0px;
    padding-top: 0px;
  }
}
.spinner-style {
  z-index: 9999999;
  position: fixed;
  left: 50%;
  top: 500px;
  width: 6rem;
  height: 6rem;
  align-items: center;
}
.detail-more-info {
  z-index: 9999999;
  position: absolute;
  width: 400px;
  right: 40px;
  top: 65px;
}
::ng-deep .leaflet-popup-content {
  .contenu-card {
    background-color: rgba(255, 255, 255, 0.904);
    width: 100%;
    height: 100%;
    border-radius: 5px;
    margin-top: 0px;
    display: grid;
    .text-card {
      text-indent: 0px;
      padding-top: 0px;
      .button {
        border: none;
        outline: 0;
        //display: inline-block;
        padding: 5px;
        //color: white;
        //background-color: #000;
        text-align: center;
        cursor: pointer;
        //width: 100%;
      }
    }
  }
}
path.leaflet-interactive.animate {
  stroke-dasharray: 1920;
  stroke-dashoffset: 1920;
  animation: dash 20s linear 3s forwards;
}

@keyframes dash {
  to {
    stroke-dashoffset: 0;
  }
}
.sliderbutton{
  width:35px;
  height: 35px;
  position:fixed;
  bottom:1%;
  left: 14%;
  border-radius:80%;
  background-color: #354360;
  border:0px ridge rgba(10, 10, 10, 0.661);
  display: flex;
  justify-content: center;
  text-align: center;
    mat-icon{
        cursor: pointer;
        color: rgb(255, 255, 255);
        position: relative;
        top: 16%;
    }
}
.slidecontainer {
  width: 70%; /* Width of the outside container */
}
.slider {
  -webkit-appearance: none; /* Override default CSS styles */
  appearance: none;
  width: 100%; /* Full-width */
  height: 5px;
  border-radius: 5px;
  background: #df7e7e; /* Grey background */
  outline: none; /* Remove outline */
  opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
  -webkit-transition: 0.2s; /* 0.2 seconds transition on hover */
  transition: opacity 0.2s;
}

/* Mouse-over effects */
.slider:hover {
  opacity: 1; /* Fully shown on mouse-over */
  height: 9px;
}
.sliderP {
  height: 28px !important;
  position: absolute;
  left: 40%;
  bottom: 80%;
  width: 200px;
  border: 0px solid #000000;
  border-radius: 50px;
  text-align: center;
  background-color: #354360;
  p {
    text-align: left;
    margin: auto auto;
    display: inline-flex;
  }
  small {
    color: rgb(248, 248, 248);
    padding: 2px;
    margin: auto;
  }
}
